--- title: "getCloudCacheConfigGroupVersionList" slug: "database-vcache-getcloudcacheconfiggroupversionlist" tags: ["Cloud DB for Redis"] updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vcache-getcloudcacheconfiggroupversionlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudCacheConfigGroupVersionList Available in VPC Get the Cloud DB for Cache config group version list. Note Cloud DB for Cache API offers two versions based on the supported DBMS range. - getCloudCacheConfigGroupVersionList API: Support for Valkey and Redis DBMS - getCloudRedisConfigGroupVersionList API: Support for Redis DBMS ## getCloudCacheConfigGroupVersionList API This section describes the request and response formats for the getCloudCacheConfigGroupVersionList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vcache/v2/getCloudCacheConfigGroupVersionList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the config group version list to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudCacheDbmsCode` | String | Optional | Cloud DB for Cache instance's DBMS code - `Redis` \| `Valkey` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheConfigGroupVersionList ?cloudCacheDbmsCode=Redis ?regionCode=KR' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudCacheConfigGroupVersionList](/docs/en/common-vapidatatype-cloudcacheconfiggroupversionlist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudCacheConfigGroupVersionListResponse": { "totalRows": 10, "cloudCacheConfigGroupVersionList": [ { "cacheVersion": "8.1.6-simple" }, { "cacheVersion": "8.1.6-cluster" }, { "cacheVersion": "7.2.11-simple" }, { "cacheVersion": "7.2.8-simple" }, { "cacheVersion": "7.2.6-simple" }, { "cacheVersion": "7.0.15-simple" }, { "cacheVersion": "7.0.13-simple" }, { "cacheVersion": "6.2.20-simple" }, { "cacheVersion": "6.2.14-simple" }, { "cacheVersion": "6.2.11-simple" }, { "cacheVersion": "6.2.4-simple" } ], "requestId": "eb510376-****-****-****-1c76df3e0bd8", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` eb510376-****-****-****-1c76df3e0bd8 0 success 10 8.1.6-simple 8.1.6-cluster 7.2.11-simple 7.2.8-simple 7.2.6-simple 7.0.15-simple 7.0.13-simple 6.2.20-simple 6.2.14-simple 6.2.11-simple 6.2.4-simple ``` ## getCloudRedisConfigGroupVersionList API This section describes the request and response formats for the getCloudRedisConfigGroupVersionList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vredis/v2/getCloudRedisConfigGroupVersionList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the config group version list to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisConfigGroupVersionList ?regionCode=KR' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudRedisConfigGroupVersionList](/docs/en/common-vapidatatype-cloudredisconfiggroupversionlist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudRedisConfigGroupVersionListResponse": { "totalRows": 8, "cloudRedisConfigGroupVersionList": [ { "redisVersion": "7.2.11-simple" }, { "redisVersion": "7.2.11-cluster" }, { "redisVersion": "7.2.8-simple" }, { "redisVersion": "7.2.8-cluster" }, { "redisVersion": "7.2.6-simple" }, { "redisVersion": "7.2.6-cluster" }, { "redisVersion": "7.0.15-cluster" }, { "redisVersion": "7.0.15-simple" }, { "redisVersion": "7.0.13-simple" }, { "redisVersion": "7.0.13-cluster" }, { "redisVersion": "5.0.14-cluster" }, { "redisVersion": "5.0.14-simple" }, { "redisVersion": "4.0.14-cluster" }, { "redisVersion": "4.0.14-simple" } ], "requestId": "eb510376-****-****-****-1c76df3e0bd8", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` eb510376-****-****-****-1c76df3e0bd8 0 success 8 7.2.11-cluster 7.2.11-simple 7.2.8-simple 7.2.8-cluster 7.2.6-simple 7.2.6-cluster 7.0.15-simple 7.0.15-cluster 7.0.13-cluster 7.0.13-simple 5.0.14-cluster 5.0.14-simple 4.0.14-cluster 4.0.14-simple ```